%global pypi_name uv
%global debug_package %{nil}

Name:           %{pypi_name}
Version:        0.1.34
Release:        1%{?dist}
Summary:        An extremely fast Python package installer and resolver, written in Rust.

License:        Apache-2.0 WITH MIT
URL:            https://github.com/astral-sh/uv
Source0:        %{pypi_source}

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  pyproject-rpm-macros
BuildRequires:  maturin
BuildRequires:  cargo
BuildRequires:  cmake
# rust-openssl #
BuildRequires:  pkg-config
BuildRequires:  perl-FindBin
BuildRequires:  openssl-devel
BuildRequires:  rust-openssl-devel
BuildRequires:  rust-openssl-sys-devel

BuildRequires:  perl-lib
BuildRequires:  perl-IPC-Cmd
BuildRequires:  perl-File-Compare
BuildRequires:  perl-File-Copy
%generate_buildrequires
%pyproject_buildrequires

%description
This is TBD.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files uv

%files -f %{pyproject_files}
%doc README.md
%license LICENSE-APACHE
%license LICENSE-MIT
%{_bindir}/%{pypi_name}

%changelog
* Fri Apr 19 2024 Ondrej Gajdusek <ondrej@gajdusek.dev> - 0.1.34-1
- Initial package

